package com.icomsys.main_vm.biz.rcp.intentAnalysis.service;

import com.icomsys.main_vm.db.mybatis.alias.MonitoringIntentAnalysisVO;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public interface IntentAnalysisService {
    List<HashMap> selectIntentNameList(MonitoringIntentAnalysisVO vo);
    String selectServiceGroupUpper(MonitoringIntentAnalysisVO vo);
    String selectOprByServiceCode(MonitoringIntentAnalysisVO vo);
    List<HashMap> selectIntentAnalysisList(MonitoringIntentAnalysisVO vo);
    int selectIntentAnalysisListCnt(MonitoringIntentAnalysisVO vo);
}
